// Copyright © Selmo Technology GmbH. All Rights Reserved

using System.Security.Claims;

namespace SelmoStudio.Hmi.Server.SelmoHmi.Authentication.Service
{
    public interface IAuthenticationStateService
    {
        event Func<Task> AuthenticationStateChanged;

        Task NotifyAuthenticationStateChangedAsync();

        Task<bool> IsAuthenticatedAsync();

        Task<ClaimsPrincipal> GetCurrentUserAsync();
    }
}